%define glib2_version 2.0.0
%define gtk2_version 2.0.0
%define gconf2_version 1.1.11
%define gnome_vfs2_version 1.9.16
%define libgnomeui_version 1.117.2
%define libgnome_version 1.117.2

Summary: Package containing code shared among gnome-panel, gnome-session, nautilus, etc.
Name: gnome-desktop
Version: 1.5.22
Release: 2
URL: http://www.gnome.org
Source0: ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/gnome-desktop/%{name}-%{version}.tar.bz2
License: GPL 
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root

Obsoletes: gnome-core
Provides: gnome-core

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libgnome-devel >= %{libgnome_version}

%description

The gnome-desktop package contains an internal library
(libgnomedesktop) used to implement some portions of the GNOME
desktop, and also some data files and other shared components of the
GNOME user environment.

%package devel
Summary: Libraries and headers for libgnome-desktop
Group: Development/Libraries
Requires: %name = %{version}

Requires: glib2-devel >= %{glib2_version}
Requires: gtk2-devel >= %{gtk2_version}
Requires: GConf2-devel >= %{gconf2_version}
Requires: gnome-vfs2-devel >= %{gnome_vfs2_version}
Requires: libgnomeui-devel >= %{libgnomeui_version}
Requires: libgnome-devel >= %{libgnome_version}

%description devel

Libraries and header files for the GNOME-internal private library 
libgnomedesktop

%prep
%setup -q

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)

%doc AUTHORS COPYING ChangeLog NEWS README

%{_datadir}/gnome-about
%{_datadir}/gnome
%{_datadir}/pixmaps
%{_datadir}/man/man*/*
%{_libdir}/lib*.so.*

%{_bindir}/*

%files devel
%defattr(-,root,root)

%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
#%{_datadir}/gtk-doc

%changelog
* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- add post/postun ldconfig

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.5.22

* Fri May 31 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 31 2002 Havoc Pennington <hp@redhat.com>
- 1.5.21

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment
- build requires libgnome

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- 1.5.20
- provides gnome-core

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.5.18

* Tue Apr 16 2002 Havoc Pennington <hp@redhat.com>
- Initial build.


